dots.v2.volumes.byVolume_id().snapshots.post()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.volumes.byVolume_id(volume_id).snapshots.post(body: SnapshotsPostRequestBody, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | SnapshotsPostResponse>Description
To create a snapshot from a volume, sent a POST request to /v2/volumes/{volume_id}/snapshots.
Parameters
Path Parameters
volume_idstring requiredExample:
7724db7c-e098-11e5-b522-000f53304e51The ID of the block storage volume.
Request Body
namestring requiredExample:
big-data-snapshot1475261774A human-readable name for the volume snapshot.
tagsarray of strings or null optionalExample:
["base-image", "prod"]A flat array of tag names as strings to be applied to the resource. Tag names may be for either existing or new tags.
Requirestag:createscope.
Request Sample
Response Example
More Information
See /v2/volumes/{volume_id}/snapshots in the API reference for additional detail on responses, headers, parameters, and more.